package com.ruoyi.dxp.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 文献管理对象 dxp_literature
 *
 * @author jy
 * @date 2023-01-28
 */
public class Literature extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 文献名称 */
    @Excel(name = "文献名称")
    private String literatureName;

    /** 发布机构：关联字典 */
    @Excel(name = "发布机构：关联字典")
    private String publishOrganization;

    /** 主题：关联字典 */
    @Excel(name = "主题：关联字典")
    private String theme;

    /** 公开年份：关联字典 */
    @Excel(name = "公开年份：关联字典")
    private String publicYear;

    /** 关联标签：逗号分隔 */
    @Excel(name = "关联标签：逗号分隔")
    private String tag;

    /** 文件地址 */
    @Excel(name = "文件地址")
    private String fileUrl;

    /** 浏览次数 */
    @Excel(name = "浏览次数")
    private Long viewCount;

    /** 下载次数 */
    @Excel(name = "下载次数")
    private Long downloadCount;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    /** 开放类型 */
    @Excel(name = "开放类型")
    private String publishType;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setLiteratureName(String literatureName)
    {
        this.literatureName = literatureName;
    }

    public String getLiteratureName()
    {
        return literatureName;
    }
    public void setPublishOrganization(String publishOrganization)
    {
        this.publishOrganization = publishOrganization;
    }

    public String getPublishOrganization()
    {
        return publishOrganization;
    }
    public void setTheme(String theme)
    {
        this.theme = theme;
    }

    public String getTheme()
    {
        return theme;
    }
    public void setPublicYear(String publicYear)
    {
        this.publicYear = publicYear;
    }

    public String getPublicYear()
    {
        return publicYear;
    }
    public void setTag(String tag)
    {
        this.tag = tag;
    }

    public String getTag()
    {
        return tag;
    }
    public void setFileUrl(String fileUrl)
    {
        this.fileUrl = fileUrl;
    }

    public String getFileUrl()
    {
        return fileUrl;
    }
    public void setViewCount(Long viewCount)
    {
        this.viewCount = viewCount;
    }

    public Long getViewCount()
    {
        return viewCount;
    }
    public void setDownloadCount(Long downloadCount)
    {
        this.downloadCount = downloadCount;
    }

    public Long getDownloadCount()
    {
        return downloadCount;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }
    public void setPublishType(String publishType)
    {
        this.publishType = publishType;
    }

    public String getPublishType()
    {
        return publishType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("literatureName", getLiteratureName())
                .append("publishOrganization", getPublishOrganization())
                .append("theme", getTheme())
                .append("publicYear", getPublicYear())
                .append("tag", getTag())
                .append("fileUrl", getFileUrl())
                .append("viewCount", getViewCount())
                .append("downloadCount", getDownloadCount())
                .append("remark", getRemark())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("delFlag", getDelFlag())
                .append("publishType", getPublishType())
                .toString();
    }
}
